<?php
// Author: Kevin K.M. Chiu
// Copyright 2000, Cobalt Networks.  All rights reserved.
// $Id: personalAccount.php,v 1.1.1.3 Tue 08 Apr 2008 07:02:52 PM CEST mstauber Exp $

include_once("ArrayPacker.php");
include_once("ServerScriptHelper.php");
include_once("uifc/PagedBlock.php");
include_once("uifc/Label.php");
include_once("uifc/Option.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("vz-user", "/vz/user/personalAccountHandler.php");
$stylist = $serverScriptHelper->getStylist();
$i18n = $serverScriptHelper->getI18n("palette");

    // Master Node Trigger:
    $helper =& new ServerScriptHelper($sessionId);
    $cceHelper =& $helper->getCceClient();
    $masternodeOID = $cceHelper->find("VserverMasterNode");
    $cceHelper->set($masternodeOID[0], "",
            array(
                'User_Trigger' => time()
                 )
        );

$loginName = $serverScriptHelper->getLoginName();
$browserLocalePreference = $serverScriptHelper->getLocalePreference($HTTP_ACCEPT_LANGUAGE);
$stylePreference = $serverScriptHelper->getStylePreference();

$admin=$cceClient->getObject("User", array("name"=>$loginName));
$localePreference=$admin["localePreference"];

// get objects
$user = $cceClient->getObject("User", array("name" => $loginName));
$system = $cceClient->getObject("System");

$page = $factory->getPage();

$block = new PagedBlock($page, "accountSettings", $factory->getLabel("accountSettings", false, array("userName" => $loginName)));

$errors = $serverScriptHelper->getErrors();
if (count($errors) > 0) {
  $block->processErrors($errors, array('fullName' => 'fullNameField', 'localePreference' => 'languageField', 'password' => 'newPasswordField', 'stylePreference' => 'styleField'));
}

$block->addFormField(
  $factory->getFullName("fullNameField", $user["fullName"]),
  $factory->getLabel("fullNameField")
);

// find all possible locales
$possibleLocales = stringToArray($system["locales"]);
/*
 * don't show browser option for admin, because then it becomes unclear
 * what the system locale is.
 */
if ($serverScriptHelper->getLoginName() != "admin") {
	$possibleLocales = array_merge(array("browser"), $possibleLocales);
}
$possibleLocales = array("en");

$locale = $factory->getLocale("languageField", $localePreference);
$locale->setPossibleLocales($possibleLocales);
$block->addFormField(
  $locale,
  $factory->getLabel("languageField")
);

// make style
$availableStyles = $stylist->getAllResources($browserLocalePreference);
$keys = array_keys($availableStyles);
// only need to select if more than 1 style
if(count($keys) > 1) {
  $style = $factory->getMultiChoice("styleField");
  for($i = 0; $i < count($keys); $i++)
    $style->addOption(new Option(new Label($page, $availableStyles[$keys[$i]], ""), $keys[$i], $stylePreference == $keys[$i]));

  $block->addFormField(
    $style,
    $factory->getLabel("styleField")
  );
}

$passwordField = $factory->getPassword("newPasswordField");
$passwordField->setOptional(true);
$block->addFormField(
  $passwordField,
  $factory->getLabel("newPasswordField")
);

// ------- VPS Stuff - start

//Only users with adminUser or ManageVPS capability should be here
include_once("/usr/sausalito/ui/web/vz/vserver/0_vps_access.inc.php");

if ($is_adminUser != "1") {

    // Only non-Admins get this shown:
    
    $block->addDivider($factory->getLabel('customerContactDetails', false));

    // Email
    $textblock_email = $factory->getEmailAddress("customer_email",
             $i18n->interpolate($user["customer_email"]), "rw");
    $textblock_email->setOptional(false);
    $block->addFormField(
      $textblock_email,
      $factory->getLabel("customer_email"),
      ""
    );

    // Company
    $textblock_company = $factory->getTextField("customer_company",
             $i18n->interpolate($user["customer_company"]), "rw");
    $textblock_company->setOptional(true);
    $block->addFormField(
      $textblock_company,
      $factory->getLabel("customer_company"),
      ""
    );

    // Address
    $textblock_address = $factory->getTextField("customer_address",
             $i18n->interpolate($user["customer_address"]), "rw");
    $textblock_address->setOptional(true);
    $block->addFormField(
      $textblock_address,
      $factory->getLabel("customer_address"),
      ""
    );

    // City
    $textblock_city = $factory->getTextField("customer_city",
             $i18n->interpolate($user["customer_city"]), "rw");
    $textblock_city->setOptional(true);
    $block->addFormField(
      $textblock_city,
      $factory->getLabel("customer_city"),
      ""
    );

    // Zip
    $textblock_zip = $factory->getTextField("customer_zip",
             $i18n->interpolate($user["customer_zip"]), "rw");
    $textblock_zip->setOptional(true);
    $block->addFormField(
      $textblock_zip,
      $factory->getLabel("customer_zip"),
      ""
    );

    // State
    $textblock_state = $factory->getTextField("customer_state",
             $i18n->interpolate($user["customer_state"]), "rw");
    $textblock_state->setOptional(true);
    $block->addFormField(
      $textblock_state,
      $factory->getLabel("customer_state"),
      ""
    );

    // Country
    $textblock_country = $factory->getTextField("customer_country",
             $i18n->interpolate($user["customer_country"]), "rw");
    $textblock_country->setOptional(true);
    $block->addFormField(
      $textblock_country,
      $factory->getLabel("customer_country"),
      ""
    );

    // Phone
    $textblock_phone = $factory->getTextField("customer_phone",
             $i18n->interpolate($user["customer_phone"]), "rw");
    $textblock_phone->setOptional(true);
    $block->addFormField(
      $textblock_phone,
      $factory->getLabel("customer_phone"),
      ""
    );

    // Fax
    $textblock_fax = $factory->getTextField("customer_fax",
             $i18n->interpolate($user["customer_fax"]), "rw");
    $textblock_fax->setOptional(true);
    $block->addFormField(
      $textblock_fax,
      $factory->getLabel("customer_fax"),
      ""
    );

}

//------ VPS Stuff - end

// Don't ask why, but somehow with PHP5 we need to add a blank FormField or nothing shows on this page:
$hidden_block = $factory->getTextBlock("Nothing", "");
$hidden_block->setOptional(true);
$block->addFormField(
    $hidden_block,
    $factory->getLabel("Nothing"),
    "Hidden"
    );

$block->addButton($factory->getSaveButton($page->getSubmitAction()));

$serverScriptHelper->destructor();
?>
<?php print($page->toHeaderHtml()); ?>

<?

if ($is_adminUser != "1") {
	print "<input type=\"hidden\" name=\"is_adminUser\" value=\"" . $is_adminUser . "\">";
}
else {
	print "<input type=\"hidden\" name=\"is_adminUser\" value=\"" . $is_adminUser . "\">";
}
?>

<?php print($block->toHtml()); ?>

<?php print($page->toFooterHtml());

?>
